Package ru.bitel.oss.kernel.entity.common.bean

# Class EntityAttrAddress.Builder

java.lang.Object
ru.bitel.oss.kernel.entity.common.bean.EntityAttrAddress.Builder

Enclosing class:
  `EntityAttrAddress`

public static class EntityAttrAddress.Builder extends Object

- ## Method Summary

  Modifier and Type
  Method
  Description
  `EntityAttrAddress`
  `build()`
  `EntityAttrAddress.Builder`
  `setComment(String comment)`
  `EntityAttrAddress.Builder`
  `setEntityId(int entityId)`
  `EntityAttrAddress.Builder`
  `setEntitySpecAttrId(int entitySpecAttrId)`
  `EntityAttrAddress.Builder`
  `setFlat(String flat)`
  `EntityAttrAddress.Builder`
  `setFloor(int floor)`
  `EntityAttrAddress.Builder`
  `setFormatKey(String formatKey)`
  `EntityAttrAddress.Builder`
  `setHouseId(int houseId)`
  `EntityAttrAddress.Builder`
  `setPod(int pod)`
  `EntityAttrAddress.Builder`
  `setRoom(String room)`
  `EntityAttrAddress.Builder`
  `setTitle(String title)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Method Details

  - ### setEntityId

    public EntityAttrAddress.Builder setEntityId(int entityId)

  - ### setEntitySpecAttrId

    public EntityAttrAddress.Builder setEntitySpecAttrId(int entitySpecAttrId)

  - ### setHouseId

    public EntityAttrAddress.Builder setHouseId(int houseId)

  - ### setPod

    public EntityAttrAddress.Builder setPod(int pod)

  - ### setFloor

    public EntityAttrAddress.Builder setFloor(int floor)

  - ### setFlat

    public EntityAttrAddress.Builder setFlat(String flat)

  - ### setRoom

    public EntityAttrAddress.Builder setRoom(String room)

  - ### setComment

    public EntityAttrAddress.Builder setComment(String comment)

  - ### setTitle

    public EntityAttrAddress.Builder setTitle(String title)

  - ### setFormatKey

    public EntityAttrAddress.Builder setFormatKey(String formatKey)

  - ### build

    public EntityAttrAddress build()